Macaulay2 » Documentation
Packages » RunExternalM2 :: runExternalM2ReturnAnswer
next | previous | forward | backward | up | index | toc

# runExternalM2ReturnAnswer -- stores a Macaulay2 variable's value in a file, to later be read by the RunExternalM2 package

- Usage:
    `runExternalM2ReturnAnswer(f,t)`
- Inputs:
  - f, a string, the filename
  - t, a thing, the variable to store

## Description

This function tries to serialize t into the file f, that is, convert it into a standard format for storage. In this case, we convert t into a string using toExternalString. This function is not intended for public use.

## See also

- RunExternalM2 -- a package to run Macaulay2 code externally and retrieve the result
- toExternalString -- convert to a readable string

## For the programmer

The object runExternalM2ReturnAnswer is a function closure.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/RunExternalM2.m2:894:0.